import { Component, ViewChild } from '@angular/core';
import { IgDataChartComponent } from "igniteui-angular-wrappers";
declare var jQuery: any;
/**
 * Generated class for the DataChartComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
@Component({
  selector: 'data-chart',
  templateUrl: 'data-chart.html'
})
export class DataChartComponent {

	@ViewChild("dataChart", { read: IgDataChartComponent })
  public child: IgDataChartComponent;
	
	public data: any;
  private options: any;

  private dataChange : any;

 
  constructor() {
    this.data = [{ "CountryName": "China", "Pop1995": 1216, "Pop2005": 1297, "Pop2015": 1361, "Pop2025": 1394 }, { "CountryName": "India", "Pop1995": 920, "Pop2005": 1090, "Pop2015": 1251, "Pop2025": 1396 }, { "CountryName": "United States", "Pop1995": 266, "Pop2005": 295, "Pop2015": 322, "Pop2025": 351 }, { "CountryName": "Indonesia", "Pop1995": 197, "Pop2005": 229, "Pop2015": 256, "Pop2025": 277 }, { "CountryName": "Brazil", "Pop1995": 161, "Pop2005": 186, "Pop2015": 204, "Pop2025": 218 }];

		this.dataChange = [[{ "CountryName": "China", "Pop1995": 1216, "Pop2005": 1297, "Pop2015": 1361, "Pop2025": 1394 }]];
		this.options = {
			dataSource: this.data,
			axes: [{
				name: "NameAxis",
				type: "categoryX",
				title: "Country",
				label: "CountryName"
			},
				{
					name: "PopulationAxis",
					type: "numericY",
					minimumvalue: 0,
					title: "Milions of People"
				}],
			series: [{
				name: "2015Population",
				type: "column",
				isHighlightingEnabled: true,
				isTransitionInEnabled: true,
				xAxis: "NameAxis",
				yAxis: "PopulationAxis",
				valueMemberPath: "Pop2015"
			}]
		};
  }

  changeData(){
    let index = 1;
    if(this.data[0].CountryName === "Indonesia"){
      index=0;
		}
		
		this.data.length = 0;
		this.child.notifyClearItems(this.data);
    let dataToShow = this.dataChange[0];
    for(let i = 0; i<dataToShow.length;i++){
			this.data.push(dataToShow[i]);
			this.child.notifyInsertItem(this.data, i, dataToShow[i]);
		}		
  }
}
